Security Enhanced Linux Reference Policy

# Layer: contrib

## Module: vpn

Interfaces

### Description:

Virtual Private Networking client.

### Interfaces:

vpn_dbus_chat( domain )

##### Summary

Send and receive messages from vpnc over dbus.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

vpn_domtrans( domain )

##### Summary

Execute vpn clients in the vpnc domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

vpn_kill( domain )

##### Summary

Send kill signals to vpnc.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

vpn_relabelfrom_tun_socket( domain )

##### Summary

Relabelfrom from vpnc socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

vpn_run( domain , role )

##### Summary

Execute vpn clients in the vpnc domain, and allow the specified role the vpnc domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

vpn_signal( domain )

##### Summary

Send generic signals to vpnc.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

vpn_signull( domain )

##### Summary

Send null signals to vpnc.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return